/* typography */

body {
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
  font-size: 11px;
  line-height: 1.2;
}

a {
  color: inherit;
  text-decoration: none;
}

/* mats */

.mat {
  width: 100%;
  height: 100vh;
  padding: 5vw;
  box-sizing: border-box;
}

.mat,
.mat > div,
.mat > div > div {
  display: flex;
  justify-content: center;
  align-items: stretch;
  position: relative;
}

.mat > div {
  flex-grow: 1;
  flex-shrink: 1;
}

.mat img {
  padding: 1em 1em 0 1em;
  display: block;
  height: 100%;
  width: 100%;
  object-fit: contain;
}

/* 2 */

.mat-2up {
  flex-direction: row;
  padding: 10vw;
}

.mat-2up div img {
  padding: 1em;
  width: 100%;
  height: 100%;
  object-fit: contain;
}

/* 3 */

.mat-3up {
  flex-direction: row;
}

/* 4 */

.mat-4up {
  flex-direction: column;
}

.mat-4up > div {
  height: 50%;
  flex-direction: row;
}

.mat-4up > div > div {
  height: 100%;
}

.mat-4up > div:nth-child(1) {
  align-items: flex-end;
}
.mat-4up > div:nth-child(2) {
  align-items: flex-start;
}

/* 5 */

.mat-5up {
  flex-direction: column;
}

.mat-5up > div {
  height: 50%;
  flex-direction: row;
}

.mat-5up > div > div {
  height: 100%;
  flex-direction: column;
}

.mat-5up > div > div > div:nth-child(1) {
  height: calc(100% - 5em);
}

.mat-5up > div > div > div:nth-child(2) {
  height: 3em;
  padding: 0 3em;
}

/* 6 */

.mat-6up {
  flex-direction: column;
}

.mat-6up > div {
  height: 50%;
  flex-direction: row;
}

.mat-6up > div > div {
  height: 100%;
}

/* image */

.tombstone {
  text-align: center;
}

.tombstone a {
  display:  inline-block;
  padding: 1em;
  background-color: white;
}

.button,
.stream img,
.tombstone a {
  transition: opacity 0.3s ease-in-out;
}

.button:hover,
.stream img:hover,
.tombstone a:hover {
  opacity: 0.6;
}

/* stream */

.stream {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  align-items: baseline;
  justify-content: space-around;
  padding: 1vw;
}
.stream img {
  display: block;
  margin: 0.5vw 0.5vw 1.5vw 0.5vw;
  max-height: 5vw;
  max-width: 6vw;
  background-color: #FDB730;
}

@media all and (max-width: 1200px) {
  .stream img {
    margin: 6px 6px 18px 6px;
    max-height: 60px;
    max-width: 72px;    
  }
}

.stream img:hover {
  cursor: zoom-in;
}
.stream img:nth-child(2n) {
  object-position: left bottom;
}
.stream img:nth-child(3n) {
  object-position: center bottom;
}
.stream img:nth-child(4n) {
  object-position: left top;
}
.stream img:nth-child(5n) {
  object-position: center top;
}

.stream img:nth-child(5n),
.stream img:nth-child(7n) {
  position: relative;
  top: -1vw;
}

.blur {
  background-color: rgba(0, 0, 0, 0.2);
}

.blur .cluster {
  display: block;
}

.cluster {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: 999;
  display: none;
}

.mat {
  background-image: url("./bg.png");
}

.button {
  margin: 1vw;
  text-align: center;
}

.button,
input[type=text] {
  display: block;
  border-radius: 1em;
  box-shadow: 0px 0px 0.1em grey;
  background-color: white;
  padding: 1vw;
}

.button.big {
  padding: 5vw;
}

.about {
  display: flex;
  justify-content: center;
  align-items: center;
  min-height: 100vh;
}

.about .layout {
  max-width: 60em;
  display:  grid;
  grid-template-columns: 3fr 1fr;
  grid-column-gap: 3em;
}

.text p,
.text h1,
.text ul {
  margin-bottom: 1em;
}

.text-section {
  margin-bottom: 3em;
}

.text h1,
.button {
  text-transform: uppercase;
}

.text img {
  max-width: 10em;
}

.blur input[type=text] {
  display: none;
}
